> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Blocklist Items

> Retrieve a list of paginated blocklist entries.

### Required API key scope
- Orders




## OpenAPI

````yaml get /blocklists
openapi: 3.1.0
info:
  title: Listings API
  description: >-
    Loop Listings can be utilized to allow exceptions and prevent returns in
    specific situations. This API can be used to manage your shop's listings.
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Blocklist
  - name: Allowlist
paths:
  /blocklists:
    get:
      tags:
        - Blocklist
      summary: List Blocklist Items
      description: |
        Retrieve a list of paginated blocklist entries.

        ### Required API key scope
        - Orders
      operationId: listBlocklistItems
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedBlocklistResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
      security:
        - api_key: []
components:
  schemas:
    PaginatedBlocklistResponse:
      type: object
      properties:
        data:
          type: array
          description: The data for each entry in the blocklist.
          items:
            $ref: '#/components/schemas/BlocklistEntryWithCreatedAtResponse'
        links:
          type: array
          items:
            $ref: '#/components/schemas/PaginatedBlocklistLink'
            description: An array of links to each page.
        next_page_url:
          type:
            - string
            - 'null'
          description: The link to the next page of paginated results.
          examples:
            - https://api.loopreturns.com/api/v1/blocklists?page=2
        current_page:
          type: integer
          description: The identifier associated with the current page.
          examples:
            - 1
        from:
          type:
            - string
            - 'null'
          description: The number of the first blocklist entry on the page.
          examples:
            - 1
        first_page_url:
          type:
            - string
            - 'null'
          description: The link to the first page of paginated results.
          examples:
            - https://api.loopreturns.com/api/v1/blocklists?page=1
        last_page:
          type:
            - string
            - 'null'
          description: The identifier associated with the last page.
          examples:
            - 2
        last_page_url:
          type:
            - string
            - 'null'
          description: The link to the last page of paginated results.
          examples:
            - https://api.loopreturns.com/api/v1/blocklists?page=2
        path:
          type:
            - string
            - 'null'
          description: The endpoint's path.
          examples:
            - https://api.loopreturns.com/api/v1/blocklists
        per_page:
          type: integer
          description: The number of blocklist entries per page.
          examples:
            - 15
        prev_page_url:
          type:
            - string
            - 'null'
          description: The link to the previous page of paginated results.
        to:
          type:
            - integer
            - 'null'
          description: The number of the last blocklist entry on the page.
          examples:
            - 15
        total:
          type: integer
          description: The total number of blocklist entries returned.
          examples:
            - 20
    UnauthorizedResponse:
      type: object
      required:
        - errors
      properties:
        errors:
          type: string
          examples:
            - Unauthorized.
    BlocklistEntryWithCreatedAtResponse:
      type: object
      properties:
        id:
          type: integer
          examples:
            - 1
          description: The unique identifier associated with the blocklist entry.
        type:
          $ref: '#/components/schemas/BlocklistValueType'
        value:
          type: string
          examples:
            - example@example.com
          description: >-
            The blocked value. Items purchased using this value will be
            ineligible for return.
        secondary_value:
          type:
            - string
            - 'null'
          examples:
            - example.2@example.com
          description: >-
            An additional blocked value associated with this entry. Items
            purchased using this value will also be ineligible for return.
        created_at:
          type:
            - string
            - 'null'
          format: date-time
          examples:
            - '2023-06-09 00:00:00'
          description: The date and time at which the entry was created.
    PaginatedBlocklistLink:
      type: object
      properties:
        url:
          type: string
          description: The link to a page.
          examples:
            - https://api.loopreturns.com/api/v1/blocklists?page=1
        label:
          type: string
          description: >-
            The page's label, used to store either page numbers or previous/next
            page data.
          examples:
            - 1
            - « Previous
            - Next »
        active:
          type: boolean
          description: Whether the page is active.
          examples:
            - true
            - false
    BlocklistValueType:
      type: string
      description: >-
        The type of value blocked by this blocklist entry. `order` is the order
        number of the blocked order, `email` is the blocked customer's email
        address, `product` is the variant ID of the blocked product, and
        `product_tag` disables returns for all products with that tag.
      enum:
        - order
        - email
        - product
        - product_tag
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````